Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.opengl
Class AWTGraphicsConfiguration

    java.lang.Object
      javax.media.opengl.AWTGraphicsConfiguration

All Implemented Interfaces:
  AbstractGraphicsConfiguration

    public class AWTGraphicsConfiguration

extends Object
implements AbstractGraphicsConfiguration

A wrapper for an AWT GraphicsConfiguration allowing it to be handled in a toolkit-independent manner.

Constructor Summary
`AWTGraphicsConfiguration(GraphicsConfiguration config)`

Method Summary
`GraphicsConfiguration` | `getGraphicsConfiguration()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AWTGraphicsConfiguration

    public AWTGraphicsConfiguration(GraphicsConfiguration config)

Method Detail

### getGraphicsConfiguration

    public GraphicsConfiguration getGraphicsConfiguration()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.